package com.brilliance.isc.swift.objmtconvert.model.mt1xx.tag.tag196;

import com.brilliance.isc.swift.objmtconvert.model.AbsMTCreator;
import com.brilliance.isc.swift.objmtconvert.model.AbsTagCreate;
import com.brilliance.isc.swift.objmtconvert.model.mt1xx.MT196Creator;

public class Tag76Creator extends AbsTagCreate {
    private MT196Creator mt196Creator;

    public Tag76Creator(AbsMTCreator absMTCreator) {
        super(absMTCreator);
        mt196Creator = (MT196Creator) absMTCreator;
    }

    @Override
    public void creator() {
        String tag76Value = mt196Creator.getAnswers();
        mt196Creator.set("76", tag76Value);
    }
}
